Bug 475160 (filbar)

Summary: Latest DBus update destroy system
Product: [Fedora] Fedora Reporter: Filip Bartmann <filbar>
Component: dbusAssignee: David Zeuthen <davidz>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: high    
Version: 10CC: cross, davidz, drussell, ian, mail2benny, malwkgad, mathias.leidig, mclasen, nphilipp, pavel1r, rhughes, rmolthen, sgallagh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-08 10:51:27 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Filip Bartmann 2008-12-08 04:20:35 EST
Description of problem:
After updated dbus from Sun 7.December 2008 i have next errors in system:
When I install some packages thrue yum I had next error:
--------------------------------------------------------------------------------
Running Transaction
  Installing     : mc                                                       1/1
ERROR:dbus.proxies:Introspect error on :1.36:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.36")

Installed:
  mc.i386 1:4.6.2-7.pre1.fc10
--------------------------------------------------------------------------------


When I try to search in Add/Remove software:
--------------------------------------------------------------------------------
failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)
--------------------------------------------------------------------------------

From KDE logout dialog diappear buttons for Shutdown/Reboot, stay here only Logout button.

Version-Release number of selected component (if applicable):
Dec 08 09:54:03 Updated: dbus-libs-1.2.6-1.fc10.i386
Dec 08 09:54:05 Updated: dbus-1.2.6-1.fc10.i386
Dec 08 09:54:06 Updated: dbus-devel-1.2.6-1.fc10.i386
Dec 08 09:54:07 Updated: dbus-x11-1.2.6-1.fc10.i386

How reproducible:
Allways


Steps to Reproduce:
1.Install dbus updates from 7.December 2008
2.Run yum install "some_package"
or
3.Run Install/Remove software and do here some action
or
4.View KDE logout dialog
Comment 1 Benny 2008-12-08 05:22:42 EST
A lot of programs on a lot of boxes are suffering from on this one. Maybe you want to boost up priority?

http://forums.fedoraforum.org/showthread.php?p=1126371

I'm confirming for two separate F10 boxes after updating.
Comment 2 Nils Philippsen 2008-12-08 06:39:51 EST
*** Bug 475170 has been marked as a duplicate of this bug. ***
Comment 3 Gianluca Varisco 2008-12-08 08:37:54 EST
*** Bug 475169 has been marked as a duplicate of this bug. ***
Comment 4 Dave Russell 2008-12-08 10:40:53 EST
Boosting the priority to high, if you do a fresh F10 install and enable the
updates repo, about 50% of apps will fail to run (totem, nautilus etc), either
segfaulting or crashing in other interesting ways.

Feel free to lower the priority if you can find a workaround!
Comment 5 Richard Hughes 2008-12-08 10:51:27 EST

*** This bug has been marked as a duplicate of bug 475074 ***
Comment 6 Pavel Rosenboim 2008-12-10 02:22:59 EST
I don't understand how this bug is marked as duplicate of bug 475074 and that bug is closed, while lot of other packages are still broken by dbus update? system-config-services does not run at all and system-config-samba must be launched now as root - all because of that dbus update.
Comment 7 Nils Philippsen 2008-12-10 04:36:41 EST
(In reply to comment #6)
> system-config-services does not run at all and system-config-samba must be
> launched now as root - all because of that dbus update.

My fault, the dbus update uncovered errors in the dbus configuration files of these two packages. I've pushed system-config-samba-1.2.67-2.fc10 and system-config-services-0.99.28-2.fc10 as testing updates, please try them out along with at least PolicyKit-0.9-4.fc10. You can grab these packages from here if your mirror doesn't have them already:

https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11121
https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11098
https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11043
Comment 8 Pavel Rosenboim 2008-12-10 04:48:09 EST
s-c-samba works now, but s-c-services doesn't - it now shows empty window saying no services are installed.
Comment 9 Nils Philippsen 2008-12-10 09:41:31 EST
(In reply to comment #8)
> s-c-samba works now, but s-c-services doesn't - it now shows empty window
> saying no services are installed.

The backend wasn't allowed to send signals but they simply didn't get through instead of raising an exception, fixed package is here:

https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11121
Comment 10 rmolthen 2008-12-10 11:35:43 EST
I just installed F10 on 4 boxes. 2 out of 4 had the problem. No rhyme or reason. Different hardware each time. The work-arounds have not worked yet for me, but will keep trying.
Comment 11 Benny 2008-12-11 04:39:49 EST
Could someone explain to me why this bug is a dupe of bug 475074, which is a bug for the package manager under the new dbus, this does not solve the dbus problem on its own, it just tries to live with it. 
Still other programs are failing because of the dbus update of 12-7-08, as far as i know no newer updates fixing the dbus problem have been pushed on updates... 

Am I missing something?
Comment 12 Pavel Rosenboim 2008-12-11 05:09:15 EST
It looks like there is an updated dbus build in koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=74040
It fixed many troubles for me, including mail-notification that was unable to monitor evolution mailboxes since that policy change. But I still see warnings after each yum update and in some other cases.

May be this update should be pushed at least to updates-testing?
Comment 13 Benny 2008-12-11 06:26:27 EST
It got pushed to updates and fixed some things, but not everything... at least it progresses, thanks :)